Retrieve a bridging request
curl --request GET \
--url https://production.hifibridge.com/v2/wallets/bridges/{transferId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://production.hifibridge.com/v2/wallets/bridges/{transferId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://production.hifibridge.com/v2/wallets/bridges/{transferId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transferType": "WALLET.BRIDGE",
"transferDetails": {
"id": "9ccafd0f-e47f-43c2-8693-13741b67d638",
"requestId": "1d860428-1d0b-47c5-9e65-98961ff59215",
"createdAt": "2025-02-24T17:44:54.781519+00:00",
"updatedAt": "2025-02-24T17:57:01.185+00:00",
"amount": 0.01,
"status": "COMPLETED",
"source": {
"userId": "a804f891-b63c-4b36-99ee-0aa83e6facde",
"walletAddress": "0xE9cfBf1D690565579D823264170eE357f80e9A34",
"chain": "POLYGON",
"currency": "usdc"
},
"destination": {
"userId": "a804f891-b63c-4b36-99ee-0aa83e6facde",
"walletAddress": "0x17f043FB0a39334641beD627551AC095941157B0",
"chain": "ETHEREUM",
"currency": "usdc"
},
"receipt": {
"transactionHash": "0x17f043FB0a39334641beD627551AC095941157B0",
"operations": {
"mint": {
"transactionHash": "0x5784890f9efd0160e9401439a5cf2aa5350580ecf48f9ca2af617338ae089e53",
"userOpHash": "0xef7bdb071b1fcfb5df629bd4d27ffa6dc32d0a5df676f26fb8c25311df1185ac",
"chain": "ETHEREUM"
},
"burn": {
"transactionHash": "0x5784890f9efd0160e9401439a5cf2aa5350580ecf48f9ca2af617338ae089e53",
"userOpHash": "0xef7bdb071b1fcfb5df629bd4d27ffa6dc32d0a5df676f26fb8c25311df1185ac",
"chain": "POLYGON"
},
"approve": {
"transactionHash": "0x5784890f9efd0160e9401439a5cf2aa5350580ecf48f9ca2af617338ae089e53",
"userOpHash": "0xef7bdb071b1fcfb5df629bd4d27ffa6dc32d0a5df676f26fb8c25311df1185ac",
"chain": "POLYGON"
}
}
},
"failedReason": null,
"fee": null,
"quoteInformation": {
"sendGross": {
"amount": "0.01",
"currency": "usdc"
},
"sendNet": {
"amount": "0.01",
"currency": "usdc"
},
"railFee": {
"amount": "0",
"currency": "usdc"
},
"receiveGross": {
"amount": "0.01",
"currency": "usdc"
},
"receiveNet": {
"amount": "0.01",
"currency": "usdc"
},
"rate": "1",
"expiresAt": "2025-02-25T17:44:54.781Z"
}
}
}{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}Wallet Bridges
Retrieve a bridging request
GET
/
v2
/
wallets
/
bridges
/
{transferId}
Retrieve a bridging request
⌘I